Innhold

# Starter LibreOffice programvare med parametere

Ved å starte LibreOffice fra kommandolinjen kan angi forskjellige parametre der du kan påvirke ytelsen. Bruk av kommandolinjeparametre er kun anbefalt for erfarne brukere.

Bruk av kommandolinjeparametre er normalt ikke nødvendig. Noen få av parametrene krever dypere kunnskaper om den tekniske bakgrunnen for LibreOffice-teknologien.

## Start av LibreOffice programvaren fra kommandolinjen

1. Søk etter Kjør i Windows Start-menyen.

2. Skriv inn følgende tekst i tekstfeltet Åpne og klikk på OK.

3. "{install}\program\soffice.com" {parameter}

   Erstatt {install} med stien til installasjonen av LibreOffice-programvaren (for eksempel C:\Program Files\LibreOffice). Bruk soffice.exe i stedet for soffice.com når du ikke trenger konsoll (f.eks. du ikke bruker kommandolinjegrensesnitt for hodeløse operasjoner).

1. Åpne et skall under Linux-, *BSD- eller macOS-plattformer.

2. Skriv inn følgende tekstlinje, og trykk deretter Retur:

   {install}/program/soffice {parameter}

   Erstatt {install} med stien til installasjonen av LibreOffice-programvaren (for eksempel /opt/LibreOffice i UNIX)

LibreOffice krever skrivetilgang til sin brukerprofilkatalog.

## Gyldige kommandolinjeparametre

### Bruk uten spesielle argumenter

Brukes uten argumenter åpner startsenteret.

{fil} | Forsøker å åpne filen (filer) med passende komponenter.
{fil} makro://./[Bibliotek.Modul.MakroNavn] | Åpner filen og bruker de angitte makroer fra filen.

### Få hjelp og informasjon

Parameter | Mening
--- | ---
--help / -h / -? | Viser de tilgjengelige kommandolinjeparametrene i konsollen.
--helpwriter | Åpner LibreOffice innebygde, eller online Hjelp for Writer
--helpcalc | Åpner LibreOffice innebygde, eller online Hjelp for Calc
--helpdraw | Åpner LibreOffice innebygde, eller online Hjelp for Draw
--helpimpress | Åpner LibreOffice innebygde, eller online Hjelp for Impress.
--helpbase | Åpner LibreOffice innebygde, eller online Hjelp for Base.
--helpbasic | Åpner LibreOffice innebygde, eller online Hjelp for Basic skriptspråket.
--helpmath | Åpner LibreOffice innebygde, eller online Hjelp for Math.
--version | Viser LibreOffice versjonen og avslutter
--nstemporarydirectory | (kun macOS-sandkasse) Returnerer banen til den midlertidige katalogen for gjeldende bruker og avslutter. Overstyrer alle andre argumenter.

### Generelle argumenter

Parameter | Mening
--- | ---
--quickstart[=no] | Aktiverer [Deaktiverer] Quickstartertjenesten. Det kan bare ta en parameter av som deaktiverer Quickstarter-tjenesten. Uten parametere er denne tjenesten aktivert.
--nolockcheck | Deaktiverer sjekk for eksterne instanser ved hjelp av installasjonen.
--infilter=InputFilterName [:InputFilterParam[,param]] | Tvinger inn en inngangsfiltertype, hvis mulig. For eksempel: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US". Seliste over dokumentfiltre for filkonvertering Listen over filteralternativer for Lotus-, dBase- og Diff-filer. Listen over filteralternativer for CSV-filer. Listen over filteralternativer for PDF-filer.
--pidfile={file} | Lagrer soffic e.bin pid til(fil).
--display {display} | Setter miljøvariabelen DISPLAY på UNIX-lignende plattformer til verdien {display}. Denne parameteren støttes kun av startskriptet for LibreOffice programvare på UNIX-lignende plattformer.

### Bruker / programmatisk grensesnittkontroll

Parameter | Mening
--- | ---
--nologo | Slår av velkomstbildet ved programstart.
--minimized | Starter minimert. Velkomstbildet vises ikke.
--nodefault | Starter uten å vise annet enn velkomstbildet.
--invisible | Starter i usynlig tilstand. Hverken oppstartsbildet eller det opprinnelige programvinduet vil være synlig. LibreOffice kan kontrolleres og dokumenter og dialogvinduer åpnes via API. Ved hjelp av parameteren kan LibreOffice bare avsluttes ved hjelp av taskmanager (Windows) eller kill -kommandoen (UNIX-lignende systemer). Det kan ikke brukes sammen med -quickstart. Mer informasjon kan bli funnet i LibreOffice Developer's Guide.
--headless | Starter i «hodeløs tilstand» som tillater bruk av programmet uten brukergrensesnitt. Denne spesialtilstanden kan brukes når programmet er kontrollert av eksterne klienter viaAPI-et.
--norestore | Slår av omstart og filgjenoppretting etter et systemkrasj.
--safe-mode | Starter i en sikker modus, dvs. starter midlertidig med en ny brukerprofil, og bidrar til å gjenopprette en ødelagt konfigurasjon.
--accept={UNO} | Varsler LibreOffice programvare som ved opprettelsen av "UNO Acceptor Threads", vil en "UNO Accept String" bli brukt. UNO-URL er en streng av typen uno: tilkoblingstype, parametre; protokollnavn, paramsetre ObjektNavn. Mer informasjon kan bli funnet i LibreOffice Developer's Guide.
--unaccept={UNO-URL} | Lukker en akseptor som ble opprettet med - accept {UNO-URL} . Bruk - unaccept=all for å lukke alle åpne akseptorer.
--language={lang} | Bruker spesifisert språk, hvis et språk ikke er valgt for brukergrensesnittet enda. Lang er en tag på språket i en IETF-språketikett.

### Utvikler argumenter

Parameter | Mening
--- | ---
--terminate_after_init | Avslutt etter at initialiseringen er fullført (ingen dokumenter lastet).

Unix- og Linux-bruker kan bruke LibreOffice med disse tilleggsparametrene for feilsøkingsformål.

Parameter | Betyr
--- | ---
--record | En forbedret debugger.
--backtrace | Skriver ut tilbakespolingen av hele stakken
--strace | strace er et diagnostisk, feilsøkings- og instruksjonsbrukerområde for Linux.
--valgrind | Registrer automatisk mange minnehåndterings og trådfeil, og profilerer programmet i detalj.

Feilsøkingsalternativene - opptak , --tilbakespore , --strace og --valgrind kan ikke brukes sammen . Bruk dem en om gangen.

### Nye dokumentfremstillingsargumenter

Argumentene oppretter et tomt dokument av spesifisert type. Bare et av dem kan brukes i en kommandolinje. Hvis filnavn er angitt etter et argument, blir det forsøkt å åpne disse filene i den angitte komponenten.

Parameter | Mening
--- | ---
--writer | Starter med et tomt Writer-dokument.
--calc | Starter med et tomt Calc-dokument.
--draw | Starter med et tomt Draw-dokument.
--impress | Starter med et tomt Impress-dokument.
--math | Starter med et tomt Math-dokument.
--global | Starter med et tomt Writer-hoveddokument.
--web | Starter med et tomt HTML-dokument.

### Åpne fil argumenter

Argumentene definerer hvordan følgende filnavn behandles. En ny behandling begynner etter argumentet og slutter ved neste argument. Standardbehandlingen er å åpne dokumenter for redigering, og opprette nye dokumenter fra dokumentmaler.

Parameter | Mening
--- | ---
-n | Behandler følgende filer som maler for opprettelse av nye dokumenter.
-o | Åpne filer for redigering, uansett om de er maler eller ikke.
--pt {Printername} | Skriver ut følgende filer til skriveren {Skrivernavn} og avslutter. Skjermbildet vises ikke. Hvis filnavnet inneholder mellomrom, må det skrives mellom annførselstegn. Hvis det finnes flere oppføringer, brukes kun den siste {Skrivernavn} for alle dokumentene --pt -kjøringer. Også argumentet --printer-name med bryteren --print-to-file virker på {Printername}.
-p | Skriv ut de følgende filene til standardskriveren og lukker filene. Velkomstskjermen vises ikke. Hvis filnavnet inneholder mellomrom, må det skrives mellom annførselstegn.
--view | Åpner følgende filer i visningsmodus (skrivebeskyttet).
--vis[=N] | Åpner og starter lysbildefremvisningen av følgende presentasjonsdokumenter umiddelbart. Filer lukkes etter visningen. N i eksemplet refererer til lysbildenummeret, og når det er oppgitt, starter de på det lysbildet.
--convert-to OutputFileExtension [:OutputFilterName [:OutputFilterParams[,param]]] [--outdir output_dir] | Hvis --convert-to brukes mer enn én gang, er siste verdi av OutputFileExtension[:OutputFilterName[:OutputFilterParams]] effektiv. Hvis --outdir brukes mer enn én gang, er bare den siste verdien effektiv. I fravær av --outdir, brukes gjeldende arbeidskatalog for resultatet. For eksempel: --convert-to pdf *.doc --convert-to pdf:writer_pdf_Export --outdir /home/user *.doc --convert-to "html:XHTML Writer File:UTF8" *.doc --convert-to "txt:Text (encoded):UTF8" *.doc Seliste over dokumentfiltre for filkonvertering Listen over filteralternativer for Lotus-, dBase- og Diff-filer. Listen over filteralternativer for CSV-filer. Listen over filteralternativer for PDF-filer.
--print-to-file [--printer-name printer_name] [--outdir output_dir] | Batch skrive filer til fil. Hvis --outdir ikke er oppgitt, blir den gjeldende mappen bli brukt som output_dir. Hvis --printernavn eller --outdir brukes flere ganger, bli bare siste verdien brukt. Også {skrivernavn} eller --pt bryteren virker også inn på --printernavn . For eksempel: --print-to-file *.doc --print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc
--cat | Gjelder filter "txt: Text" til følgende tekstdokumenter og dump tekstinnhold til konsoll (innebærer - headless ). Kan ikke brukes med - konvertere til .
-env:VAR[=VALUE] | Angi en bootstrap-variabel. For eksempel, for å angi en ikke-standard brukerprofilbane: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Ignorerte bryterer

Parameter | Mening
--- | ---
-psn | Ignorert (Kun macOS)
-Embedding | Ignorert (COM+ relatert; kun Windows)
--nofirststartwizard | Gjør ingenting, satt inn for å være bakoverkompatibel.
--protector {arg1} {arg2} | Brukes kun i enhetstester og bør ha to argumenter.